summaryrefslogtreecommitdiff
path: root/Ports
diff options
context:
space:
mode:
authorEmanuel Sprung <emanuel.sprung@gmail.com>2020-02-04 01:04:45 +0100
committerAndreas Kling <kling@serenityos.org>2020-02-06 14:06:23 +0100
commite3dcea9b274672d42829e9510bb7a010b4ba2f71 (patch)
tree3fc2476b1d537ea0f389f42185a8c28238af2aa9 /Ports
parent5c06c32df4062a17e1caf7aa01ee51e87852070a (diff)
downloadserenity-e3dcea9b274672d42829e9510bb7a010b4ba2f71.zip
Ports: Added build script to build all ports
Use the option clean to clean up the working directory/downloads before building: ./build_all.sh clean
Diffstat (limited to 'Ports')
-rwxr-xr-xPorts/build_all.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/Ports/build_all.sh b/Ports/build_all.sh
new file mode 100755
index 0000000000..1b40296ed3
--- /dev/null
+++ b/Ports/build_all.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+clean=false
+case "$1" in
+ clean)
+ clean=true
+ ;;
+ *)
+ ;;
+esac
+
+some_failed=false
+
+for file in *; do
+ if [ -d $file ]; then
+ pushd $file > /dev/null
+ dirname=$(basename $file)
+ if [ "$clean" == true ]; then
+ ./package.sh clean_all > /dev/null 2>&1
+ fi
+ if $(./package.sh > /dev/null 2>&1 ); then
+ echo "Built ${dirname}."
+ else
+ echo "ERROR: Built ${dirname} not succesful!"
+ some_failed=true
+ fi
+ popd > /dev/null
+ fi
+done
+
+if [ "$some_failed" == false ]; then
+ exit 0
+else
+ exit 1
+fi \ No newline at end of file